CREATE OR REPLACE VIEW VW_FCO_TIPO_COTIZ AS
SELECT tg.compania,
       tg.trabajador,
       rtrim(ltrim(decode(ISNUMERIC(nvl(tco.dato, '1')), 1, nvl(tco.dato, '1'), '00'))) tipo_cotizante
  FROM trabajadores_grales tg, rel_trab_agr tco
 where tg.compania = tco.compania
   AND tg.trabajador = tco.trabajador
   AND tco.agrupacion = (SELECT x.dato
                           FROM vw_fdt_parametros x
                          WHERE x.pais = 'COL'
                            AND x.compania = tg.compania
                            AND x.parametro = 'autoliq'
                            AND x.secuencia = 41)

